Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.io
Class RandomAccessFileInputStream

    java.lang.Object
      java.io.InputStream
          org.pdfbox.io.RandomAccessFileInputStream

public class RandomAccessFileInputStream
extends InputStream

This class allows a section of a RandomAccessFile to be accessed as an input stream.

Version:
  $Revision: 1.5 $
Author:
  Ben Litchfield

Constructor Summary
`RandomAccessFileInputStream(RandomAccess raFile, long startPosition, long length)` Constructor.

Method Summary
`int` | `available()`
`void` | `close()`
`int` | `read()`
`int` | `read(byte[] b, int offset, int length)`
`long` | `skip(long amountToSkip)`

Methods inherited from class java.io.InputStream
`mark, markSupported, read, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomAccessFileInputStream

    public RandomAccessFileInputStream(RandomAccess raFile,
                                       long startPosition,
                                       long length)

  Constructor.

Parameters:
  `raFile` - The file to read the data from.
  `startPosition` - The position in the file that this stream starts.
  `length` - The length of the input stream.

Method Detail

### available

    public int available()

### close

    public void close()

### read

    public int read()
             throws IOException

  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int offset,
                    int length)
             throws IOException

  Throws:
    `IOException`

### skip

    public long skip(long amountToSkip)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD